be.ehealth.businessconnector.consultrnv2.session.impl

## Class ConsultrnCBSSPersonServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.consultrnv2.session.impl.ConsultrnCBSSPersonServiceImpl

- All Implemented Interfaces:
    ConsultrnCBSSPersonService

      public class ConsultrnCBSSPersonServiceImpl
      extends Object
      implements ConsultrnCBSSPersonService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultrnCBSSPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegisterPersonResponse` | `registerPerson(RegisterPersonRequest request)` When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultrnCBSSPersonServiceImpl

          public ConsultrnCBSSPersonServiceImpl(SessionValidator sessionValidator,
                                                EhealthReplyValidator replyValidator)

  - ### Method Detail

    - #### registerPerson

          public RegisterPersonResponse registerPerson(RegisterPersonRequest request)
                                                throws TechnicalConnectorException

      Description copied from interface: `ConsultrnCBSSPersonService`
      When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

           (RegisterPersonResponse) soaErrorException.getResponseTypeV2()

      Specified by:
        `registerPerson` in interface `ConsultrnCBSSPersonService`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.